import 'package:cpt_sg/modules/main/main_page.dart';
import 'package:plugin_basic/basic_export.dart';
import 'package:router/componentRouter/sg_service.dart';

/// SG组件对应的路由实现类
class SGServiceImpl extends GetxService implements SGService {
  @override
  void onInit() {
    super.onInit();
    //初始化资源
  }

  @override
  void onClose() {
    super.onClose();
    //销毁资源
  }

  @override
  void startSGMainPage() {
    SGMainPage.startWithPopAll();
  }
}
